Package fr.gouv.vitam.common.database.parser.request.multiple

# Class DeleteParserMultiple

java.lang.Object
fr.gouv.vitam.common.database.parser.request.AbstractParser<RequestMultiple>
fr.gouv.vitam.common.database.parser.request.multiple.RequestParserMultiple
fr.gouv.vitam.common.database.parser.request.multiple.DeleteParserMultiple

public class DeleteParserMultiple extends RequestParserMultiple
Delete Parser: { $roots: roots, $query : query, $filter : multi }

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.database.parser.request.multiple.RequestParserMultiple

  `lastDepth`

  ### Fields inherited from class fr.gouv.vitam.common.database.parser.request.AbstractParser

  `adapter, hasFullTextCurrentQuery, hasFullTextQuery, request, rootNode, sourceRequest`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeleteParserMultiple()`
  `DeleteParserMultiple(VarNameAdapter adapter)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected RequestMultiple`
  `getNewRequest()`
  `DeleteMultiQuery`
  `getRequest()`
  `void`
  `parse(com.fasterxml.jackson.databind.JsonNode request)`
  `String`
  `toString()`

  ### Methods inherited from class fr.gouv.vitam.common.database.parser.request.multiple.RequestParserMultiple

  `analyzeRootQuery, filterParse, getFinalScrollId, getFinalScrollTimeout, getLastDepth, hintCache, hintNoTimeout, model, parseJson, parseQueryOnly, queryParse, rootParse, trackTotalHits`

  ### Methods inherited from class fr.gouv.vitam.common.database.parser.request.AbstractParser

  `analyzeOneCommand, analyzeOneFacet, getAdapter, getRootNode, getSource, hasFullTextQuery, parseOrderByFilter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DeleteParserMultiple

    public DeleteParserMultiple()

  - ### DeleteParserMultiple

    public DeleteParserMultiple(VarNameAdapter adapter)
    Parameters:
      `adapter` - VarNameAdapter

- ## Method Details

  - ### getNewRequest

    protected RequestMultiple getNewRequest()
    Specified by:
      `getNewRequest` in class `AbstractParser<RequestMultiple>`
    Returns:
      a new Request

  - ### parse

    public void parse(com.fasterxml.jackson.databind.JsonNode request) throws InvalidParseOperationException
    Specified by:
      `parse` in class `AbstractParser<RequestMultiple>`
    Parameters:
      `request` - containing a parsed JSON as { $roots: roots, $query : query, $filter : multi }
    Throws:
      `InvalidParseOperationException` - if request could not parse to JSON

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `RequestParserMultiple`

  - ### getRequest

    public DeleteMultiQuery getRequest()
    Overrides:
      `getRequest` in class `RequestParserMultiple`
    Returns:
      the Request